/* vi: set et sw=4 ts=4 cino=t0,(0: */
/* -*- Mode: C; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
/*
 * This file is part of osso-accounts
 *
 * Copyright (C) 2007 Nokia Corporation. All rights reserved.
 *
 * Contact: Lassi Syrjala <lassi.syrjala@nokia.com>
 *
 * This software, including documentation, is protected by copyright controlled
 * by Nokia Corporation. All rights are reserved.
 * Copying, including reproducing, storing, adapting or translating, any or all
 * of this material requires the prior written consent of Nokia Corporation.
 * This material also contains confidential information which may not be
 * disclosed to others without the prior written consent of Nokia.
 */

#ifndef _RTCOM_AVATAR_CHOOSER_H_
#define _RTCOM_AVATAR_CHOOSER_H_

#include <glib-object.h>
#include <gtk/gtkeventbox.h>

G_BEGIN_DECLS

#define RTCOM_TYPE_AVATAR_CHOOSER            (rtcom_avatar_chooser_get_type ())
#define RTCOM_AVATAR_CHOOSER(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), RTCOM_TYPE_AVATAR_CHOOSER, RtcomAvatarChooser))
#define RTCOM_AVATAR_CHOOSER_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), RTCOM_TYPE_AVATAR_CHOOSER, RtcomAvatarChooserClass))
#define RTCOM_IS_AVATAR_CHOOSER(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), RTCOM_TYPE_AVATAR_CHOOSER))
#define RTCOM_IS_AVATAR_CHOOSER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), RTCOM_TYPE_AVATAR_CHOOSER))
#define RTCOM_AVATAR_CHOOSER_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), RTCOM_TYPE_AVATAR_CHOOSER, RtcomAvatarChooserClass))

typedef struct _RtcomAvatarChooserClass RtcomAvatarChooserClass;
typedef struct _RtcomAvatarChooser RtcomAvatarChooser;

struct _RtcomAvatarChooserClass
{
    GtkButtonClass parent_class;
};

struct _RtcomAvatarChooser
{
    GtkButton parent_instance;
};

GType rtcom_avatar_chooser_get_type (void) G_GNUC_CONST;

GtkWidget *rtcom_avatar_chooser_new (void);

G_END_DECLS

#endif /* _RTCOM_AVATAR_CHOOSER_H_ */
