/* vi: set et sw=4 ts=4 cino=t0,(0: */
/* -*- Mode: C; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
/*
 * This file is part of osso-accounts
 *
 * Copyright (C) 2007 Nokia Corporation. All rights reserved.
 *
 * Contact: Alberto Mardegan <alberto.mardegan@nokia.com>
 * Contact: Lassi Syrjala <lassi.syrjala@nokia.com>
 *
 * This software, including documentation, is protected by copyright controlled
 * by Nokia Corporation. All rights are reserved.
 * Copying, including reproducing, storing, adapting or translating, any or all
 * of this material requires the prior written consent of Nokia Corporation.
 * This material also contains confidential information which may not be
 * disclosed to others without the prior written consent of Nokia.
 */

#ifndef _RTCOM_LASTPAGE_H_
#define _RTCOM_LASTPAGE_H_

#include "rtcom-page.h"

G_BEGIN_DECLS

#define RTCOM_TYPE_LASTPAGE             (rtcom_lastpage_get_type ())
#define RTCOM_LASTPAGE(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), RTCOM_TYPE_LASTPAGE, RtcomLastpage))
#define RTCOM_LASTPAGE_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST ((klass), RTCOM_TYPE_LASTPAGE, RtcomLastpageClass))
#define RTCOM_IS_LASTPAGE(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), RTCOM_TYPE_LASTPAGE))
#define RTCOM_IS_LASTPAGE_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE ((klass), RTCOM_TYPE_LASTPAGE))
#define RTCOM_LASTPAGE_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS ((obj), RTCOM_TYPE_LASTPAGE, RtcomLastpageClass))

typedef struct _RtcomLastpageClass RtcomLastpageClass;
typedef struct _RtcomLastpage RtcomLastpage;

struct _RtcomLastpageClass
{
    RtcomPageClass parent_class;
};

struct _RtcomLastpage
{
    RtcomPage parent_instance;

    /*< private >*/
    GtkWidget *contacts_copied_label;
};

GType rtcom_lastpage_get_type (void) G_GNUC_CONST;

GtkWidget * rtcom_lastpage_new (gboolean has_roster);

G_END_DECLS

#endif /* _RTCOM_LASTPAGE_H_ */
